Call the integration's API (POST)
POST
/custom/{path}
Request Body
methodConfigRecord<string, any>
An integration method config applied to this call. Removed from the body before it is sent.
Response Body
next_cursorstring
The integration's next_cursor, when its response body carries one.
prev_cursorstring
The integration's prev_cursor, when its response body carries one.
resultarray | Record<string, any>
The integration's response body, as the integration returned it.
curl -X POST 'https://api.truto.one/custom/{path}' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"methodConfig": {}
}'const body = {
"methodConfig": {}
};
const response = await fetch('https://api.truto.one/custom/{path}', {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/custom/{path}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
payload = {
"methodConfig": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())